# Predictive Maintenance Dataset

## 0. Accès au données:

Pour un accès direct au données vous pouvez consulter le dossier **dataset**.

Pour des informations additionnelles sur le dataset, vous pouvez consulter le lien suivant: [lien](https://www.kaggle.com/datasets/hiimanshuagarwal/predictive-maintenance-dataset)

## 1. Description du jeu de données
Chaque dispositif envoie quotidiennement des relevés (metric1 à metric9). La colonne `failure` (0 ou 1) indique si une panne a eu lieu.

## 2. Cas d’utilisation principal
### 2.1. Description
**Modèle de maintenance prédictive**  
Identifier à l’avance les appareils qui risquent de tomber en panne.

## 2.2. Algorithmes et techniques suggérées
1. **Classification supervisée**  
   - **KNN** : prédit la probabilité de panne selon la proximité dans l’espace des relevés (metrics).

2. **Évaluation du modèle**  
   - Utiliser la matrice de confusion pour minimiser les faux négatifs (pannes non détectées).  
   - Métriques importantes : *Accuracy*, *Rappel*, *Précision*.
